/* $Id: e2_complete.h,v 1.10 2004/08/14 12:01:08 cairo Exp $
 * 
 * Copyright (C) 2004 tooar <tooar@gmx.net>
 * 
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING. If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/**
 * @file e2_complete.h 
 * @brief header for string auto completion
 *
 * This is the header file for the string auto completion functions.
 **/

#ifndef E2_COMPLETE_H
#  define E2_COMPLETE_H

typedef enum _E2_CompleteFlags
{
	E2_COMPLETE_FLAG_DONT_ESCAPE = 1<<0,
	E2_COMPLETE_FLAG_STOP = 1<<1,
	E2_COMPLETE_FLAG_FILES = 1<<2,
	E2_COMPLETE_FLAG_DIRS = 1<<3,
	E2_COMPLETE_FLAG_EXEC = 1<<4,
	E2_COMPLETE_FLAG_PATH = 1<<5,
	E2_COMPLETE_FLAG_HISTORY = 1<<6,
} E2_CompleteFlags;

typedef struct _E2_CompleteRuntime
{
	guint priority;
	gchar *name;
	gchar *group;
	gchar *desc;
	gpointer func;
	gpointer data;
} E2_CompleteRuntime;

gint e2_complete_str (gchar **complete, gint *pos, GList **found,
	E2_CompleteFlags flags, const gchar *name, ...);
void e2_complete_register_method (guint priority, const gchar *name,
	gchar *group, gchar *desc, gpointer func, gpointer data);
void e2_complete_init ();

  /*************************************************/
 /***** functions from e2_complete__*.c files *****/
/*************************************************/

gint e2_complete_files (gchar *line, gchar *word, gint pos, GList **found,
	E2_CompleteFlags *flags, gpointer data);
gint e2_complete_path (gchar *line, gchar *word, gint pos, GList **found,
	E2_CompleteFlags *flags, gpointer data);


#endif /* ifndef E2_COMPLETE_H */

