/*
 * $Id: e2_command.h,v 1.3 2004/05/23 02:10:18 cairo Exp $
 * 
 * Copyright (C) 2004 tooar <tooar@gmx.net>
 * 
 * This file is part of utils.
 * utils is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * utils is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING.   If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef E2_COMMAND_H
#  define E2_COMMAND_H

typedef enum
{
	E2_COMMAND_RANGE_DEFAULT,
	E2_COMMAND_RANGE_FILE_ACTION,
	E2_COMMAND_RANGE_FILE_OPERATION,
	E2_COMMAND_RANGE_SUBSHELL,
	E2_COMMAND_RANGE_CUSTOM
} E2_CommandRange;

typedef struct _E2_CommandRuntime
{
	gint pid;
	gchar *pidstr;
	gchar *command;
	gint exit;
	gboolean start;
	gboolean end;
	gboolean show;
	GIOChannel *ioin;
	gboolean closed;
} E2_CommandRuntime;


void e2_command_list_children (gpointer data);
gint e2_command_run (gchar *command, E2_CommandRange range);
gint _e2_command_run (gchar **args, gint num, E2_CommandRange range,
	gboolean show, gboolean wait, gchar *command, gchar *prefix);
gint _e2_command_run_wait (gchar **args, gint num, E2_CommandRange range,
	gboolean show, gchar *command, gchar *prefix);
void e2_command_init ();

#endif /* ifndef E2_COMMAND_H */

