/* $Id: e2_keybinding.h,v 1.8 2004/08/07 22:42:50 cairo Exp $
 * 
 * Copyright (C) 2004 tooar <tooar@gmx.net>
 * 
 * This file is part of emelfm2.
 * emelfm2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelfm2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING. If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef E2_KEYBINDING_H
#  define E2_KEYBINDING_H

typedef struct _E2_KeyRuntime
{
	GdkModifierType mask;
	guint keyval;
	gchar *action;
	gchar *action_data;
	gboolean cont;
	GList *chained;
} E2_KeyRuntime;

typedef struct _E2_KeybindingRuntime
{
	gchar *name;
	GtkTreeModel *model;
	GtkTreeRowReference *ref;
	gboolean synced;
	GList *keys;
	gint ref_count;
	GList *chained;
	guint timeout_id;
} E2_KeybindingRuntime;

void e2_keybinding_register (const gchar *category, GtkWidget *widget);
void e2_keybinding_clean ();
void e2_keybinding_init ();

#endif /* ifndef E2_KEYBINDING_H */

