/* $Id: e2_pane.h,v 1.12 2004/05/23 02:10:18 cairo Exp $
 * 
 * Copyright (C) 2004 tooar <tooar@gmx.net>
 * 
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING. If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef E2_PANE_H
#  define E2_PANE_H

#include "emelfm2.h"
#include "e2_option.h"
#include "e2_toolbar.h"

typedef struct _E2_PaneRuntime
{
	gchar *name;
	E2_OptionSet *set;
	
	GtkWidget *outer_box;
	GtkWidget *inner_box;
	GtkWidget *pane;
	GtkWidget *focus_widget;
	struct _FileView *view;
//	GtkWidget *parent_box;
	gchar *path;
	GList *history;
	gint history_cur;
	E2_ToolbarRuntime toolbar;
	E2_OptionSet *opt_transparent;
	E2_OptionSet *opt_use_startup;
	E2_OptionSet *opt_startup;
	GHookList hook_change_dir;
} E2_PaneRuntime;

void e2_panes_switch ();
void e2_pane_change_dir (E2_PaneRuntime *rt, gchar *path);
void _e2_pane_change_dir (E2_PaneRuntime *rt, gchar *path, gboolean no_update,
	gboolean no_hook);
void e2_pane_go_forward (E2_PaneRuntime *rt, gchar *number);
void _e2_pane_go_forward (E2_PaneRuntime *rt, gint number);
void e2_pane_go_back (E2_PaneRuntime *rt, gchar *number);
void _e2_pane_go_back (E2_PaneRuntime *rt, gint number);

void e2_pane_create (E2_PaneRuntime *rt, gchar *option, gchar *desc, gint num);
void _e2_pane_create (E2_PaneRuntime *rt);
void e2_pane_destroy (E2_PaneRuntime *rt);
void e2_pane_recreate (E2_PaneRuntime *rt);
#endif /* ifndef E2_PANE_H */

